# CONV_FRAMEC.h File Reference

`#include "ace/config-all.h"`
`#include "tao/TAO_Export.h"`
`#include "tao/ORB.h"`
`#include "tao/Environment.h"`
`#include "tao/Sequence_T.h"`
`#include "tao/Seq_Var_T.h"`
`#include "tao/Seq_Out_T.h"`
`#include "tao/VarOut_T.h"`

Include dependency graph for CONV_FRAMEC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces

namespace | CONV_FRAME
namespace | TAO

## Classes

class | CONV_FRAME::CodeSetIdSeq
struct | CONV_FRAME::CodeSetComponent
struct | CONV_FRAME::CodeSetComponentInfo
struct | CONV_FRAME::CodeSetContext

## Defines

#define | TAO_EXPORT_MACRO TAO_Export
#define | _CONV_FRAME_CODESETIDSEQ_CH_

## Typedefs

typedef CORBA::ULong_out | CodeSetId_out
typedef TAO_FixedSeq_Var_T< CodeSetIdSeq, CodeSetId > | CodeSetIdSeq_var
typedef TAO_Seq_Out_T< CodeSetIdSeq, CodeSetIdSeq_var, CodeSetId > | CodeSetIdSeq_out
typedef TAO_Var_Var_T< CodeSetComponent > | CodeSetComponent_var
typedef TAO_Out_T< CodeSetComponent, CodeSetComponent_var > | CodeSetComponent_out
typedef TAO_Var_Var_T< CodeSetComponentInfo > | CodeSetComponentInfo_var
typedef TAO_Out_T< CodeSetComponentInfo, CodeSetComponentInfo_var > | CodeSetComponentInfo_out
typedef TAO_Fixed_Var_T< CodeSetContext > | CodeSetContext_var
typedef CodeSetContext & | CodeSetContext_out

## Functions

TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CONV_FRAME::CodeSetIdSeq &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CONV_FRAME::CodeSetIdSeq &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CONV_FRAME::CodeSetComponent &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CONV_FRAME::CodeSetComponent &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CONV_FRAME::CodeSetComponentInfo &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CONV_FRAME::CodeSetComponentInfo &)
TAO_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, const CONV_FRAME::CodeSetContext &)
TAO_Export CORBA::Boolean | operator>> (TAO_InputCDR &, CONV_FRAME::CodeSetContext &)

## Define Documentation

#define _CONV_FRAME_CODESETIDSEQ_CH_

#define TAO_EXPORT_MACRO TAO_Export

## Typedef Documentation

typedef TAO_Out_T< CodeSetComponent, CodeSetComponent_var > CONV_FRAME::CodeSetComponent_out

typedef TAO_Var_Var_T< CodeSetComponent > CONV_FRAME::CodeSetComponent_var

typedef TAO_Out_T< CodeSetComponentInfo, CodeSetComponentInfo_var > CONV_FRAME::CodeSetComponentInfo_out

typedef TAO_Var_Var_T< CodeSetComponentInfo > CONV_FRAME::CodeSetComponentInfo_var

typedef CodeSetContext& CONV_FRAME::CodeSetContext_out

typedef TAO_Fixed_Var_T< CodeSetContext > CONV_FRAME::CodeSetContext_var

typedef CORBA::ULong_out CONV_FRAME::CodeSetId_out

typedef TAO_Seq_Out_T< CodeSetIdSeq, CodeSetIdSeq_var, CodeSetId > CONV_FRAME::CodeSetIdSeq_out

typedef TAO_FixedSeq_Var_T< CodeSetIdSeq, CodeSetId > CONV_FRAME::CodeSetIdSeq_var

## Function Documentation

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CONV_FRAME::CodeSetContext & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CONV_FRAME::CodeSetComponentInfo & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CONV_FRAME::CodeSetComponent & |
| ) |

TAO_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | const CONV_FRAME::CodeSetIdSeq & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CONV_FRAME::CodeSetContext & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CONV_FRAME::CodeSetComponentInfo & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CONV_FRAME::CodeSetComponent & |
| ) |

TAO_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | CONV_FRAME::CodeSetIdSeq & |
| ) |